
Smart Proxy - Bug #19709

Perform module/provider version check before loading its dependencies

05/30/2017 11:22 AM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: Core   

Target version: 1.14.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/533

  

Description

Currently module loading may fail with a confusing error message about inability to load dependencies from core:

E, [2017-05-29T13:30:35.201942 ] ERROR -- : Disabling all modules in the group ['dhcp_remote

_isc', 'dhcp'] due to a failure in one of them: cannot load such file -- dhcp_common/isc/oma

pi_provider

Associated revisions

Revision a5830764 - 06/08/2017 11:08 AM - Dmitri Dolguikh 

Fixes #19709 - check version before loading dependencies

History

#1 - 05/31/2017 09:37 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/smart-proxy/pull/533 added

#2 - 06/08/2017 12:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a583076426aeee155adeccb4dc97e7fcf8f02a33.

#3 - 06/26/2017 11:47 AM - Ivan Necas

- Target version set to 1.14.1
